Bug 186601 - internal airport and ethernet are swapped
internal airport and ethernet are swapped
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
6
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 12:03 EST by Aldy Hernandez
Modified: 2014-03-16 22:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aldy Hernandez 2006-03-24 12:03:45 EST
Description of problem:

During the network install, eth0 is listed as Airport, while eth1 is listed as
SunGem (ethernet).  They are swapped.  Interestingly, selecting eth1 prompts for
 an SSID and password, so it does know eth1 is actually the airport.

This is on an older (667mhz) G4 Ti PowerBook.

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. Select network install
2. 
3.
  
Actual results:

eth0: airport
eth1: sungem ethernet

Expected results:

eth0: sungem ethernet
eth1: airport

Additional info:
Comment 1 Jeremy Katz 2006-03-27 13:10:40 EST
If you run 'kudzu -p -c NETWORK' post-install, does it show the right thing?
Comment 2 Aldy Hernandez 2006-03-27 13:34:41 EST
Yes.  See below.

[root@indurain aldyh]# kudzu -p -c NETWORK
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: sungem
desc: "Apple Computer Inc. UniNorth GMAC (Sun GEM)"
network.hwaddr: 00:03:93:75:0c:1e
vendorId: 106b
deviceId: 0021
subVendorId: ffff
subDeviceId: ffff
pciType: 1
pcidom:    2
pcibus: 24
pcidev:  f
pcifn:  0
-
class: NETWORK
bus: MACIO
detached: 0
device: eth1
driver: airport
desc: "Apple Computer Inc.|Airport"
Comment 3 Robert Story 2006-04-19 18:39:52 EDT
Just adding confirmation.. I see the same problem on my TiBook...
Comment 4 Dave Vasilevsky 2006-08-24 02:00:10 EDT
Ditto on my G4 Quicksilver.
Comment 5 Chris Lumens 2007-03-14 17:54:00 EDT
Is this still happening in Fedora 7 test 2?
Comment 6 Aldy Hernandez 2007-03-14 18:04:27 EDT
I don't know about FC7t2, but on FC6 it still happens.
Comment 7 Bill Nottingham 2007-03-30 01:51:35 EDT
Why does it matter which is eth0 in the installer?
Comment 8 petrosyan 2008-03-12 01:39:44 EDT
Fedora Core 6 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 9 Bug Zapper 2008-04-03 22:14:58 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 11:38:12 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.